From 3accc5c389ca001231c514a49bb58906b57f94f8 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Roberto=20Huelga=20D=C3=ADaz?= <rhuelga@gmail.com>
Date: Tue, 3 Sep 2013 11:53:15 +0200
Subject: [PATCH] Timer: play a sound as configured by `org-clock-sound'
 actualy only beep
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

* lisp/org-timer.el (org-timer-set-timer): use the variable
  `org-clock-sound' when calling `org-notify'

When org-notify second parameter is t we only get the standard beep.
Evaluating with coma we can use different sounds for differents
running timers, as `org-clock-sound' was set when
`org-timer-set-timer' get execute

Patch proposal by Roberto Huelga Díaz.

TINYCHANGE
---
 lisp/org-timer.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lisp/org-timer.el b/lisp/org-timer.el
index 2351c4c..2ea1c35 100644
--- a/lisp/org-timer.el
+++ b/lisp/org-timer.el
@@ -429,7 +429,7 @@ replace any running timer."
 		    (run-with-timer
 		     secs nil `(lambda ()
 				 (setq org-timer-current-timer nil)
-				 (org-notify ,(format "%s: time out" hl) t)
+				 (org-notify ,(format "%s: time out" hl) ,org-clock-sound)
 				 (setq org-timer-timer-is-countdown nil)
 				 (org-timer-set-mode-line 'off)
 				 (run-hooks 'org-timer-done-hook))))
-- 
1.8.1

